Mail archive
alpine-devel

[alpine-devel] [PATCH 16/25] testing/mate-themes: fix build function and deps

From: Alan Lacerda <alancordeiro_at_gmail.com>
Date: Fri, 19 Dec 2014 10:26:22 +0000

---
 testing/mate-themes/APKBUILD | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)
diff --git a/testing/mate-themes/APKBUILD b/testing/mate-themes/APKBUILD
index 7e6a8d8..378814c 100644
--- a/testing/mate-themes/APKBUILD
+++ b/testing/mate-themes/APKBUILD
_at_@ -2,15 +2,14 @@
 # Maintainer:
 pkgname=mate-themes
 pkgver=1.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="MATE themes"
 url="https://github.com/mate-desktop/mate-themes"
 arch="noarch"
 license="LGPL2"
 depends="mate-common"
 depends_dev=""
-makedepends="$depends_dev autoconf automake intltool glib-dev gdk-pixbuf-dev gtk+-dev
-	icon-naming-utils"
+makedepends="$depends_dev intltool gdk-pixbuf-dev gtk+-dev icon-naming-utils"
 install=""
 subpackages="$pkgname-lang"
 source="http://pub.mate-desktop.org/releases/1.9/$pkgname-$pkgver.tar.xz"
_at_@ -28,7 +27,11 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	./autogen.sh --prefix=/usr || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		|| return 1
 	make || return 1
 }
 
-- 
2.1.3
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Dec 19 2014 - 10:26:22 UTC